// Code generated by go-swagger; DO NOT EDIT.

package events

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "ticket-boss/models"
)

// EventsOKCode is the HTTP code returned for type EventsOK
const EventsOKCode int = 200

/*EventsOK EventsResponse : HTTP status code 200 and an array of event models in data

swagger:response eventsOK
*/
type EventsOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Event `json:"body,omitempty"`
}

// NewEventsOK creates EventsOK with default headers values
func NewEventsOK() *EventsOK {

	return &EventsOK{}
}

// WithPayload adds the payload to the events o k response
func (o *EventsOK) WithPayload(payload []*models.Event) *EventsOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the events o k response
func (o *EventsOK) SetPayload(payload []*models.Event) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *EventsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.Event, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}
